import { useUserinfoStore } from "@/stores/UserinfoStore"
import type { EngineContext } from '@/composables/useEngine'

export async function saveSelection(this: EngineContext, selection: string): Promise<void> {
  const userInfoStore = useUserinfoStore()
  await this.callApi('/api/saveSelection', {
    g: userInfoStore.gameId,
    selection: selection,
  })
}

