# Know Your Teammates

 Know Your Teammates is a free team building game for 3-20 players that can be played in a browser. 

  It has two phases: during collection phase, the players are asked to enter 3-5 facts about themselves, eg. hobbies, books, movies they enjoy, places they have visited or other fun facts. In play phase, one fact is presented to all players and they have to guess who wrote it. The real fun is in the discussion following it :-)

[Watch video (3:30mins)](https://www.sirlab.de/knowyt/know-your-teammates.mp4)


See website https://www.sirlab.de/linux/games/knowyt/


## Installation

install dependencies and check for missing tools

```
make setup
```


## run (development mode)

start client and server in a split terminal window

```
make run-tmux
```

This will start frontend (port 3000) and backend (port 32039) as two separate services. Hot reload is active, changes will take effect immediately.

Point your browser at [http://localhost:3000/](http://localhost:3000/) to start playing.



## build and run podman/docker image

```
make setup    # only needed on first run

make build
make container-run
```


## License

AGPLv3 (GNU Affero General Public License)


## Author

© 2021-2024 Achim Settelmeier &lt;knowyt@m1.sirlab.de&gt;

https://www.sirlab.de/
