package game

import (
	"sirlab.de/go/knowyt/log"
)

func (gm *Game) FinishGame() {
	state, _ := gm.GetState()
	if state != STATE_IDLE && state != STATE_PLAY {
		log.Warn("%s invalid state, can't finish game in %s state\n", gm.id, state)
		return
	}

	gm.runFinal()
}
